---
title: 'Window: gamepaddisconnected event'
slug: Web/API/Window/gamepaddisconnected_event
---
<p>{{APIRef}}</p>

<p>The <code>gamepaddisconnected</code> event is fired when the browser detects that a gamepad has been disconnected.</p>

<table class="properties">
	<tbody>
		<tr>
			<th scope="row">Bubbles</th>
			<td>No</td>
		</tr>
		<tr>
			<th scope="row">Cancelable</th>
			<td>No</td>
		</tr>
		<tr>
			<th scope="row">Interface</th>
			<td>{{domxref("GamepadEvent")}}</td>
		</tr>
		<tr>
			<th scope="row">Event handler property</th>
			<td>{{ domxref("Window.ongamepaddisconnected","ongamepaddisconnected")}}</td>
		</tr>
	</tbody>
</table>

<h2 id="Examples">Examples</h2>

<pre class="brush:js;">window.addEventListener('gamepaddisconnected', event =&gt; {
    console.log('Lost connection with the gamepad.');
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName("Gamepad", "#the-gamepaddisconnected-event")}}</td>
			<td>{{Spec2("Gamepad")}}</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.gamepaddisconnected_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/Reference/Events/gamepadconnected">gamepadconnected</a></li>
	<li><a href="/en-US/docs/API/Gamepad/Using_Gamepad_API">Using Gamepad API</a></li>
</ul>
